GalleryAholic v1.5.7 Upgrade

JED Logo New 02
NEW UPGRADE v1.5.7 Now... Joomla 3.7.0 Ready without breaking Joomla 3.6 or below installs. When you move to Joomla 3.7.0, you'll want to upgrade! Sorry for this update but Joomla 3.7.0 made me do it! lol